microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Параметры пути
name
string
обязательно
The name of the resource
version
string
обязательно
The specific version id of the DatasetVersion to operate on.
Ответы
The request has succeeded.
Текст
Content-Type: application/json
blobReference
BlobReference
обязательно
Blob reference details.
blobUri
string
обязательно
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
обязательно
ARM ID of the storage account to use.
credential
SasCredential
обязательно
SAS Credential definition
sasUri
string
обязательно
SAS uri
type
enum
обязательно
Type of credential
SAS
Запрос
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json